Request
Endpoint: !AutoUpdateDCV
https://secure.trust-provider.com/products/!AutoUpdateDCV
Use the POST method for this endpoint.
Submit parameters in the x-www-form-urlencoded format.
Request parameters
The following table lists the required, optional, and conditional parameters.
| Parameter | Requirement | Type | Max.Length | Description | ||
|---|---|---|---|---|---|---|
|
required |
string |
64 chars |
The account username. This value is case sensitive. |
||
|
required |
string |
128 chars |
The account password. This value is case sensitive. |
||
|
conditional |
integer |
The order number for which you want to update the domain control validation method. Either |
|||
|
conditional |
integer |
The base order number previously returned to your account. Either |
|||
|
conditional |
string |
255 chars |
The fully qualified domain name (FQDN). This parameter is not required for single domain orders or for multi domain orders if the |
||
|
conditional |
string |
32 chars |
The selected method for domain control validation. The allowed values are:
This parameter is not required for multi domain orders if the |
||
|
conditional |
string |
255 chars |
The selected email address for Domain Control Validation. If specified, this email address must be an acceptable email address with which to perform Domain Control Validation (DCV) for this certificate. For more information, see GetDCVEmailAddressList. This parameter is only required if the parameter This parameter is not required for multi domain orders if the |
||
|
optional |
integer |
If specified, this overrides Sectigo’s default choice of DCV email template to be used to validate this certificate. Talk to your account manager if you want to set up one or more of your own DCV email templates that can be referenced by this parameter.
|
|||
|
conditional |
string |
255 chars |
The space-separated FQDNs to be updated. This parameter is only required for multi-domain certificates. |
||
|
conditional |
string |
32 chars |
The selected method for domain control validation. The allowed values are:
The constraints of this parameter are:
|
||
|
conditional |
string |
255 chars |
The selected email addresses for multi-domain control validation. If specified, these email addresses must be acceptable email addresses with which to perform domain control validation (DCV) for this certificate. The constraints of this parameter are:
|
Sample request
Single domain certificate
curl --location 'https://secure.trust-provider.com/products/!AutoUpdateDCV' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'domainName=domain_name' \
--data-urlencode 'newMethod=new_method'
Multi-domain certificate
curl --location 'https://secure.trust-provider.com/products/!AutoUpdateDCV' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'domainNames=test-1.ca test-2.ca test-3.ca' \
--data-urlencode '[email protected] [email protected] [email protected]' \
--data-urlencode 'newMethods=EMAIL EMAIL EMAIL'
Response
The request is successful when the server returns a response with the error code 0.
Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.
The response is formatted in x-www-form-urlencoded format.
|
If the order number provided has already been issued, the following error message will be returned:
|
Response parameters
The response may contain the following parameters:
| Parameter | Description |
|---|---|
|
A numeric code that identifies the type of error. For more information, see Error codes. |
|
A description of the error. |
Error codes
The following table outlines error responses returned by the AutoUpdateDCV API endpoint.
Each error response consists of an errorCode and an errorMessage indicating why the request failed.
| Error Code | Error Message | Description |
|---|---|---|
|
|
The request must use HTTPS protocol. |
|
|
The provided argument is not recognized. |
|
|
The required argument is missing from the request. |
|
|
The argument value does not meet validation requirements. |
|
|
An unknown error occurred. |
|
|
Authentication has failed due to one of the specified reasons. Verify your login credentials or check account restrictions. |
|
|
The request method should be |
|
|
The domain name has already been validated. |
|
|
The user does not have permission because the |
|
|
The request is not allowed to validate wildcard domains using HTTP(S) CSR Hash DCV methods. |
|
|
The certificate is in an unexpected state. |
|
|
The update of the DCV method(s) was unsuccessful. |